Subject: Re: [Tsvwg] tsvwg Digest, Vol 55, Issue 122

From: [email-masked]
Date: Wed, 26 Nov 2008 07:46:17 EST

Maybe there should be an underlying configuration value tree collection,  
like SNMP, that one common set of procedures and structures/objects  supports, 
and all nodes of which have defaults, can be set, queried,  defaults queried, 
and self-described in any language and code set.   The existing features that 
also set configuration would be 'convenient  short-cuts'.  'Optional' attributes 
(tagged as such) are  those not relevant to all implementations.
 
David

In a message dated 11/26/2008 6:29:46 A.M. Eastern Standard Time,  
[email-masked] writes:

Send  tsvwg mailing list submissions to
[email-masked]

To  subscribe or unsubscribe via the World Wide Web, visit
https://www.ietf.org/mailman/listinfo/tsvwg
or, via email, send a message  with subject or body 'help' to
[email-masked]

You can reach the person managing the list  at
[email-masked]

When replying, please edit  your Subject line so it is more specific
than "Re: Contents of tsvwg  digest..."

Today's Topics:

1. Re: SCTP support  for Solaris (Kacheong  Poon)

----------------------------------------------------------------------

Message:  1
Date: Wed, 26 Nov 2008 19:28:41 +0800
From: Kacheong Poon  <[email-masked]>
Subject: Re: [Tsvwg] SCTP support for  Solaris
To: Michael T?xen <[email-masked]>
Cc:  Vlad Yasevich <[email-masked]>,  [email-masked],
Peter Lei <[email-masked]>,  tsvwg <[email-masked]>,    Randall
Stewart  <[email-masked]>
Message-ID:  <[email-masked]>
Content-Type: text/plain;  charset=ISO-8859-1; format=flowed

Michael T?xen wrote:

> So  the idea is to be able to be able to provide a some cmghdr
> structure,  each one for
> - The PPID
> - The stream id
> - Sending  ordered/unordered
> - the PR-SCTP policy
> - the PR-SCTP  value
> - the SCTP-AUTH keyid
> - the flags (from the sndrcv info  flags)
> - the context
> - and a couple more that I  forgot...
> 
> The experience I had is that people avoid using the  the
> cmghdr stuff... That is why we added sctp_sendmsg() which
>  was just a wrapper added to handle the cmghdr stuff...

I guess the  above was what Brian meant.  As in my reply
to Brian, sctp_sndrcvinfo  provides the most basic SCTP
info.  So IMHO, it is fine as it stands  (although there
is the timetolive or the re-defined pr_value which  is
not really basic to SCTP).  We don't really need to
define new  types for those fundamental things.  The
question is on newer stuff,  such as PR and ASCONF.  They
are extensions to SCTP.

>  That is correct. One solution would be to add the keyid
> to  sctp_sendmsg() (suggested by Vlad) but I think you
> would object  changing the signature of sctp_sendmsg()...

As mentioned in my  clarification email, I am not suggesting
to change sctp_sendmsg().  We  cannot keep changing
sctp_sendmsg() when a new feature is  added.

> What is the list of cmsghdr structure you would  like
> to define?

I think we need to first decide if this is  the way we
want to move forward for associating SCTP info  per
message.  I hope more people can comment on this.

--  

K. Poon.
[email-masked]

End of  tsvwg Digest, Vol 55, Issue  122
**************************************

**************One site has it all. Your email accounts, your social networks, 
and the things you love. Try the new AOL.com 
today!(http://pr.atwola.com/promoclk/100000075x1212962939x1200825291/aol?redir=http://www.aol.com/?optin=new-dp
%26icid=aolcom40vanity%26ncid=emlcntaolcom00000001)